Description

We have about 5 tracker's but only use 2 of them in 99% of our projects. The problem is that the 99% of this project also have the

status in status filter drop down selection of this otrher trackers they don't use (mean the tracker checkbox is not set in project

settings).

1. Gernerally if the filter mask has a filter on tracker type the filter on status shall only show status for this trackers (this

independent of any project hierarchy)

2. If the issue search/filtering is done only on the actual project (don't srearch in childs) the status filter list shall only show status

which are used in active trackers of this project

3. If the issue search/filtering is done on project hierarchy (search this and childs projects or only some childs project) the status

filter list shall only show status list for trackers active in all possible childs.

Beyond that if you filter for status on several trackers it makes sense that the status are grouped together belongig to one tracker and

insige the group alpabectially

Related issues:

Is duplicate of Redmine - Defect #5385: Status filter should show statuses re... Closed 2010-04-26

History

#1 - 2013-06-05 14:46 - Terence Mill

For Rule 2 and 3 of course the smart status list selection can be first done as soon as the context is known, mean tracker filter is set or subproject

selection is set. This would need an ajax call, so far that order the filter criteria are put toegether by the user are not know.

#2 - 2017-09-05 16:24 - Anders Thomsen

Dupe of #5385

#3 - 2017-09-05 17:26 - Marius BĂLTEANU

- Is duplicate of Defect #5385: Status filter should show statuses related to project trackers only added

#4 - 2017-09-05 18:00 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

There are some requests that are not 100% covered by the actual implementation, but I think that the main request is covered and it is fine to close

this issue as duplicate.
